﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using Windows.UI.Xaml.Navigation;

// 空白頁項目範本已記錄在 https://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x404

namespace i8017HW_Basic_Info_Csharp
{
    /// <summary>
    /// 可以在本身使用或巡覽至框架內的空白頁面。
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            Library_ver_txt.Text=String.Format("{0:X4}", pac8017HWNet.pac8017HW.LibVersion());
            Library_date_txt.Text = pac8017HWNet.pac8017HW.LibDate();
        }

        private void Type_cbx_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            switch (Type_cbx.SelectedIndex)
            {
                case 0:
                    {
                        grid_rm.Navigate(typeof(Pages.I8017HW_I8017HDW_I9017));
                        break;
                    }
                case 1:
                    {
                        grid_rm.Navigate(typeof(Pages.I8017HCW));
                        break;
                    }
                case 2:
                    {
                        grid_rm.Navigate(typeof(Pages.I8017HW_I8017HDW_I9017));
                        break;
                    }
                case 3:
                    {
                        grid_rm.Navigate(typeof(Pages.I8017HW_I8017HDW_I9017));
                        break;
                    }
                case 4:
                    {
                        grid_rm.Navigate(typeof(Pages.I9017_15));
                        break;
                    }
                case 5:
                    {
                        grid_rm.Navigate(typeof(Pages.I9017C_15));
                        break;
                    }
                default: { break; }
            }
        }

        private void Exit_btn_Click(object sender, RoutedEventArgs e)
        {
            Application.Current.Exit();
        }
    }
}